package com.bonus.canteen.core.menu.dto;


import com.bonus.canteen.core.menu.constant.MenuRecipeSortEnum;

import java.util.List;

public class MenuRecipeSortVo {
   private Integer id;
   private String name;
   private Integer bindType;
   private Integer sortNum;
   private Integer hidden = 1;
   private List<Integer> deviceTypes;

   public MenuRecipeSortVo() {
   }

   public MenuRecipeSortVo(MenuRecipeSortEnum menuRecipeSortEnum) {
      this.id = menuRecipeSortEnum.getKey();
      this.name = menuRecipeSortEnum.getName();
      this.bindType = menuRecipeSortEnum.getBindType();
      this.deviceTypes = menuRecipeSortEnum.getDeviceType();
   }

   public Integer getId() {
      return this.id;
   }

   public String getName() {
      return this.name;
   }

   public Integer getBindType() {
      return this.bindType;
   }

   public Integer getSortNum() {
      return this.sortNum;
   }

   public Integer getHidden() {
      return this.hidden;
   }

   public List<Integer> getDeviceTypes() {
      return this.deviceTypes;
   }

   public void setId(final Integer id) {
      this.id = id;
   }

   public void setName(final String name) {
      this.name = name;
   }

   public void setBindType(final Integer bindType) {
      this.bindType = bindType;
   }

   public void setSortNum(final Integer sortNum) {
      this.sortNum = sortNum;
   }

   public void setHidden(final Integer hidden) {
      this.hidden = hidden;
   }

   public void setDeviceTypes(final List<Integer> deviceTypes) {
      this.deviceTypes = deviceTypes;
   }

}
